summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 09149c7)
raw | patch | inline | side by side (parent: 09149c7)
author | Nguyễn Thái Ngọc Duy <pclouds@gmail.com> | |
Sat, 27 Oct 2007 07:47:21 +0000 (14:47 +0700) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Tue, 30 Oct 2007 04:14:11 +0000 (21:14 -0700) |
"git rev-parse --git-dir" trick does not play well with worktree
Signed-off-by: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
Signed-off-by: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-sh-setup.sh | patch | blob | history |
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index 3c325fd1339608d681d3485aa37647d9ac734037..86d7d4c4e742c80e936d5f1c9f2037327eba7287 100755 (executable)
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
if [ -z "$SUBDIRECTORY_OK" ]
then
: ${GIT_DIR=.git}
- GIT_DIR=$(GIT_DIR="$GIT_DIR" git rev-parse --git-dir) || {
+ test -z "$(git rev-parse --show-cdup)" || {
exit=$?
echo >&2 "You need to run this command from the toplevel of the working tree."
exit $exit